Live-CD upgrade

Muligheder for at "live-cd"-opgradere en aptosid installation findes ikke. Før du fortsætter med installation af aptosid SIKKERHEDSKOPIER ALTID ALLE DINE VIGTIGE DATA! -husk dine bogmærker og emails!

Det anbefales på det kraftigste at du opretter en separat data partition. Fordelene derved er kolossale ved et eventuelt system sammenbrud.

Derved bliver dit $HOME et sted hvor alle programindstillinger gemmes.

SIKKERHEDSKOPIER ALTID ALLE DINE VIGTIGE DATA! -husk dine bogmærker og emails!

Harddisk Installation og Dist-Upgrade

Du har opgraderet din installation med den sidste aptosid Live Cd og nu vil du sikre dig at du har de sidste versioner af pakker og sikkerhedsopdateringer, fra nu af og fremefter.

Med aptosid hedder dette 'dist-upgrade' og det gøres over internettet

Den enester metode til dist-upgrade vi yder support til er denne:

DU MÅ ALDRIG NOGENSINDE OVERHOVEDET udføre 'dist-upgrade' eller 'upgrade' mens du er i X (den grafiske brugerflade).
Du skal altid undersøge om der skulle være eventuelle advarsler på aptosid hjemmesiden. Advarslerne er der af gode grunde, og er nødvendige fordi Debian sid/unstable bliver opdateret på en daglig basis.
## Log ud KDE.
## Gå til tekst-mode ved at taste Ctrl+Alt+F1
## log på som root, og skriv så:
init 3
apt-get update
apt-get dist-upgrade
apt-get clean
init 5 && exit
UDFØR ALDRIG DIST-UPGRADE [eller UPGRADE] med adept, aptitude eller synaptic Læs 'Opdatering af et instaleret system'

De gode grunde til IKKE at anvende NOGET SOM HELST ANDET end apt-get til dist-upgrade

Pakkemanagere som adept, aptitude, synaptic og kpackage er ikke altid i stand til at tage højde for den store mængde af ændringer der sker i sid (afhængigheder ændres, navne ændres, vedligeholdelses scripts ændres, ...). Det er dog ikke udviklernes af disse værktøjers skyld; -de skaber udemærkede værktøjer der er utroligt gode til den stabile del af debian, de er bare ikke egnet til de massive ændringer der opstår i, og derfor de specielle krav der er til opdatering af, den ustabile version som debian Sid er.

Du kan sagtens bruge disse værktøjer til at søge efter pakker som du gerne vil installere, men du bør holde dig til apt-get når du skal installere/afinstallere/dist-upgrading

Pakkemanager som adept, aptitude, synaptic og kpackage er alle non-deterministiske (for komplekse pakke udvalg), og med et hurtigt bevægende mål som sid, og værre endnu, -eksterne repositorier af tvivlsom kvalitet (vi hverken anbefaler eller anvender disse, men de er en realitet på brugernes systemer) har du en eksplosiv blanding der skriger efter katastrofen. Et andet problem er at alle disse GUI pakke-managere alle skal eksekveres i init 5 og/eller i X, og det at foretage en dist-upgrade i init 5 og/eller i X (eller enddog bare en upgrade, selvom dette ikke anbefales), vil uværgeligt føre til at du beskadiger dit system forbi det punkt hvor det kan genoprettes. Måske ikke idag, og måske heller ikke imorgen, men det vil ske før eller siden!.

apt-get på den anden side holder sig strengt til de instruktioner den får og gør præcist som den får besked på. Hvis der er nogle pakker der ødelægges kan du nemt finde og debug/ fikse årsagen, hvis apt-get vil fjerne halvdelen af systemet (f.eks. pga. biblioteksændringer) så er det op til systemadministratoren (det vil sige dig) at vurdere om det nu virkeligt også skal gennemføres.

Det er af disse grunde at debian builds anvender apt-get, ikke de ander pakke managers.

Content last revised 14/08/2010 0100 UTC